Package com.xebialabs.xlrelease.domain.configuration

## Enum HttpConnection.OAuth2GrantType

- java.lang.Object
- - java.lang.Enum<HttpConnection.OAuth2GrantType>
  - - com.xebialabs.xlrelease.domain.configuration.HttpConnection.OAuth2GrantType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<HttpConnection.OAuth2GrantType>`
  Enclosing class:
    HttpConnection

      public static enum HttpConnection.OAuth2GrantType
      extends java.lang.Enum<HttpConnection.OAuth2GrantType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `Password` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static HttpConnection.OAuth2GrantType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static HttpConnection.OAuth2GrantType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Password

          public static final HttpConnection.OAuth2GrantType Password

  - ### Method Detail

    - #### values

          public static HttpConnection.OAuth2GrantType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HttpConnection.OAuth2GrantType c : HttpConnection.OAuth2GrantType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HttpConnection.OAuth2GrantType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null